bugzilla.mozilla.org has resumed normal operation. Attachments prior to 2014 will be unavailable for a few days. This is tracked in Bug 1475801.
Please report any other irregularities here.

Build ID is WRONG on 3.0 "Branch" builds

RESOLVED INVALID

Status

Thunderbird
Build Config
RESOLVED INVALID
10 years ago
10 years ago

People

(Reporter: Rick Stockton, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

10 years ago
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.1b3pre) Gecko/20090109 Shiretoko/3.1b3pre
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1) Gecko/20060927 Thunderbird/2.0b1pre Mnenhy/0.7.4.666

Even after recent work in this area (e.g., bug #469396), I'm still downloading test builds which show an inconsistent-with-itself, mostly bogus Help:About string.

Below the Bird Logo, there is graphical "line of text", gray+bold, saying "version 3.0b2pre". But the selectable Build text string, which I copied into this bug's Build Identifier exactly per instructions, is grossly wrong. (Date "20060927 instead of 20090109", plus less critical wrong bits like Mozilla "1.8.1" instead of "1.9.x", "Thunderbird" instead of "Shredder").


Reproducible: Always

Steps to Reproduce:
1. download a 3.x Branch or Trunk Build.
2. install, run, and invoke Help-->"About Shredder" (or other product name provided). 
3. note "bogus" date in Build ID string, along with a other "bogus" bits of ID.



I saw this and I guessed that it's maybe not so good for these bogus strings to fall into bugzilla's database. But maybe you don't need good data in that field-- I'm just documenting a "possible issue", and then I'm outa here. Feel free to mark as "Trivial" and then ignore, if that's appropriate.
(Reporter)

Comment 1

10 years ago
description fix: Mozilla is correct at "5.0"; it's the "Gecko" version which should be showing some flavor of "1.9.x"
Version: unspecified → Trunk
Tools - Options - Advanced - General - Config Editor, what's the value of general.useragent.override?
(Reporter)

Comment 3

10 years ago
OOPS! I *do* have that preference setting. (Probably set by Mnenhy, an extension which I uninstalled a long time ago.) Thanks for the catch, and I'm sorry to have missed it.

no bug. setting RESOLVED/INVALID.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 10 years ago
Resolution: --- → INVALID
You need to log in before you can comment on or make changes to this bug.